Page MenuHomePhabricator

Update constraint table
Closed, ResolvedPublic

Description

Some broken constraint parameters have been fixed since the last constraint table update (not to mention regular updates to the constraint templates, which users have asked for several times as well). We should do another update.

Instructions:

  1. Create constraints from templates (the constraints end up in constraints.csv)
  2. Then import generated file to constraint table:
php maintenance/runScript.php extensions/Constraints/maintenance/UpdateConstraintsTable.php --csv-file path/to/constraints.csv

See also T160506 for the previous update.

@hoo @aude @Addshore can one of you do this?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 29 2017, 10:51 AM
thiemowmde triaged this task as Medium priority.Jul 4 2017, 8:45 AM
thiemowmde added a subscriber: Lydia_Pintscher.
aude added a comment.EditedJul 21 2017, 10:02 AM

@hoo we still need to run the scripts (the ones on T169647)

Once someone runs the scripts in T169647: Enable constraint statements on Wikidata, this can be closed (though I’m a bit sad we told the community that we could do this before the full migration and then nothing happened). Did you do that?

hoo claimed this task.Jul 21 2017, 10:30 AM

Once someone runs the scripts in T169647: Enable constraint statements on Wikidata, this can be closed (though I’m a bit sad we told the community that we could do this before the full migration and then nothing happened). Did you do that?

I will do that.

hoo closed this task as Resolved.Jul 21 2017, 10:45 AM

Done:

hoo@terbium:~$ mwscript extensions/Wikidata/extensions/Constraints/maintenance/UpdateConstraintsTable.php --wiki wikidatawiki --csv-file /dev/null        
0 rows inserted
hoo@terbium:~$ mwscript extensions/Wikidata/extensions/Constraints/maintenance/ImportConstraintStatements.php --wiki wikidatawiki   
Importing constraint statements for     P6... done in 123.91 ms.
…
Importing constraint statements for  P4131... done in  11.12 ms.
Importing constraint statements for  P4132... done in  12.67 ms.

The number of constraints changed to 12611.

I have a backup of the old data in case something went wrong, ping me in that case.